Appender::TestArrayBuffer(3)

NAME
Log::Log4perl::Appender::TestArrayBuffer - Subclass of Appender::TestBuffer

SYNOPSIS
  use Log::Log4perl::Appender::TestArrayBuffer;

  my $appender = Log::Log4perl::Appender::TestArrayBuffer->new(
      name      => 'buffer',
      min_level => 'debug',
      );

      # Append to the buffer
  $appender->log_message(
      level =  > 'alert',
      message => ['first', 'second', 'third'],
      );

      # Retrieve the result
  my $result = $appender->buffer();

      # Reset the buffer to the empty string
  $appender->reset();

DESCRIPTION
This class is a subclass of Log::Log4perl::Appender::TestBuffer and just provides message array refs as an additional feature.

Just like Log::Log4perl::Appender::TestBuffer, Log::Log4perl::Appender::TestArrayBuffer is used for internal Log::Log4perl testing only.

SEE ALSO

AUTHOR
Mike Schilli, <m@perlmeister.com>